<template>
    <div class="grid grid-cols-12 gap-6">
        <div class="col-span-12 2xl:col-span-9">
            <div class="grid grid-cols-12 gap-6">
                <div class="col-span-12 lg:col-span-12 xl:col-span-12 mt-5">
                    <div class="intro-y block sm:flex items-center h-10">
                        <h2 class="text-lg font-medium truncate mr-5">
                            Dashboard
                        </h2>
                    </div>
                </div>
                <!-- BEGIN: Slogan -->
                <div class="col-span-12 lg:col-span-4 xl:col-span-4">
                    <div class="report-box-2 intro-y ">
                        <div v-show="informations.length > 0">
                            <carousel :items-to-show="1" :autoplay=3000 :wrapAround=true>
                                <slide v-for="slide in informations" :key="slide">
                                    <div class="ads-box box p-8 relative overflow-hidden intro-y h-72">
                                        <div class="ads-box__title w-full sm:w-72 text-xl -mt-3">{{slide.title}}</div>
                                        <div
                                            class="w-full sm:w-72 leading-relaxed text-opacity-70 dark:text-gray-600 dark:text-opacity-100 mt-3">
                                            Information ,<br> {{slide.description}}</div>
                                    </div>
                                </slide>

                                <template #addons>
                                    <navigation />
                                    <pagination />
                                </template>
                            </carousel>
                        </div>
                        <div class="ads-box box p-8 relative overflow-hidden intro-y h-72"
                            v-show="informations.length == 0">
                            <div class="ads-box__title w-full sm:w-72 text-xl -mt-3">{{title}}</div>
                            <div
                                class="w-full sm:w-72 leading-relaxed text-opacity-70 dark:text-gray-600 dark:text-opacity-100 mt-3">
                                Information ,<br> {{description}}</div>
                            <img class="hidden sm:block absolute top-0 right-0 w-1/2 mt-28 mr-5" alt=""
                                src="@/assets/images/Group 3.png">
                        </div>
                    </div>
                </div>
                <!-- END: Slogan -->
                <!-- BEGIN: Visitors -->
                <div class="col-span-12 sm:col-span-6 lg:col-span-4 xl:col-span-2">
                    <div class="box intro-y">
                        <div class="box p-5 bg-theme-36">
                            <div class="flex items-center">
                                <div class="flex-none relative mr-2">
                                    <div class="p-2 w-15 h-15 image-fit bg-theme-37 text-theme-38 rounded-full">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5"
                                            stroke-linecap="round" stroke-linejoin="round"
                                            class="feather feather-calendar block mx-auto">
                                            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                                            <line x1="16" y1="2" x2="16" y2="6"></line>
                                            <line x1="8" y1="2" x2="8" y2="6"></line>
                                            <line x1="3" y1="10" x2="21" y2="10"></line>
                                        </svg>
                                    </div>
                                    <!-- <div class="font-medium absolute w-full h-full flex items-center justify-center top-0 left-0">20%</div> -->
                                </div>
                                <div class="w-2/4 flex-none">
                                    <div class="text-lg font-medium truncate">{{total}}</div>
                                    <div class="text-gray-600 mt-1">Event</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="box intro-y mt-10">
                        <div class="box p-5 bg-theme-42">
                            <div class="flex items-center">
                                <div class="flex-none relative mr-2">
                                    <div class="p-2 w-15 h-15 image-fit bg-theme-43 text-theme-44 rounded-full">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5"
                                            stroke-linecap="round" stroke-linejoin="round"
                                            class="feather feather-calendar block mx-auto">
                                            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                                            <line x1="16" y1="2" x2="16" y2="6"></line>
                                            <line x1="8" y1="2" x2="8" y2="6"></line>
                                            <line x1="3" y1="10" x2="21" y2="10"></line>
                                        </svg>
                                    </div>
                                    <!-- <div class="font-medium absolute w-full h-full flex items-center justify-center top-0 left-0">20%</div> -->
                                </div>
                                <div class="w-2/4 flex-none">
                                    <div class="text-lg font-medium truncate">{{success}}</div>
                                    <div class="text-gray-600 mt-1">Success</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-span-12 sm:col-span-6 lg:col-span-4 xl:col-span-2">
                    <div class="box intro-y">
                        <div class="box p-5 bg-theme-39">
                            <div class="flex items-center">
                                <div class="flex-none relative mr-2">
                                    <div class="p-2 w-15 h-15 image-fit bg-theme-40 text-theme-41 rounded-full">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5"
                                            stroke-linecap="round" stroke-linejoin="round"
                                            class="feather feather-calendar block mx-auto">
                                            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                                            <line x1="16" y1="2" x2="16" y2="6"></line>
                                            <line x1="8" y1="2" x2="8" y2="6"></line>
                                            <line x1="3" y1="10" x2="21" y2="10"></line>
                                        </svg>
                                    </div>
                                    <!-- <div class="font-medium absolute w-full h-full flex items-center justify-center top-0 left-0">20%</div> -->
                                </div>
                                <div class="w-2/4 flex-none">
                                    <div class="text-lg font-medium truncate">{{reschedule}}</div>
                                    <div class="text-gray-600 mt-1">Reschedule</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="box intro-y mt-10">
                        <div class="box p-5 bg-theme-45">
                            <div class="flex items-center ">
                                <div class="flex-none relative mr-2">
                                    <div class="p-2 w-15 h-15 image-fit bg-theme-46 text-theme-47 rounded-full">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5"
                                            stroke-linecap="round" stroke-linejoin="round"
                                            class="feather feather-calendar block mx-auto">
                                            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                                            <line x1="16" y1="2" x2="16" y2="6"></line>
                                            <line x1="8" y1="2" x2="8" y2="6"></line>
                                            <line x1="3" y1="10" x2="21" y2="10"></line>
                                        </svg>
                                    </div>
                                    <!-- <div class="font-medium absolute w-full h-full flex items-center justify-center top-0 left-0">20%</div> -->
                                </div>
                                <div class="w-2/4 flex-none">
                                    <div class="text-lg font-medium truncate">{{failed}}</div>
                                    <div class="text-gray-600 mt-1">Failed</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END: Visitors -->
                <!-- Calender -->
                <div class="col-span-12 sm:col-span-6 lg:col-span-4 xl:col-span-4">
                    <div class="report-box-2 intro-y">
                        <div class="box p-2 py-5 intro-y">
                            <CalendarMonth />
                        </div>
                    </div>
                </div>
                <!-- END: Calender -->
                <!-- BEGIN:  Event Recapitulation -->
                <div class="col-span-12 lg:col-span-8 mt-6">
                    <div class="intro-y block sm:flex items-center h-10">
                        <h2 class="text-lg font-medium truncate mr-5">
                            Event Recapitulation
                        </h2>
                    </div>
                    <div class="intro-y box p-5 mt-12 sm:mt-5">
                        <VerticalBarChart :height="200" />
                    </div>
                </div>
                <!-- END:  Event Recapitulation -->
                <!-- BEGIN: Todays Event -->
                <div class="col-span-12 xl:col-span-4 mt-6">
                    <div class="intro-y flex items-center h-10">
                        <h2 class="text-lg font-medium truncate mr-5">
                            Today's Event
                        </h2>
                    </div>
                    <div class="mt-5" id="today-event">
                        <div class="intro-y" v-for="(item, index) in todayEvents" :key="index">
                            <div class="box px-4 py-4 mb-3 flex items-center zoom-in">
                                <div class="ml-4 mr-auto">
                                    <div class="font-medium">{{ item.name }}</div>
                                    <div class="text-gray-600 text-xs mt-0.5">{{ '20:30 - 23:59' }}</div>
                                </div>
                                <div class="py-1 px-2 rounded-full text-xs cursor-pointer font-medium">></div>
                            </div>
                        </div>

                        <a href="/event"
                            class="intro-y w-full block text-center rounded-md py-4 border border-dotted border-theme-27 dark:border-dark-5 text-theme-28 dark:text-gray-600">View
                            More</a>
                    </div>
                </div>
                <!-- END: Todays Event -->
            </div>
        </div>
    </div>
</template>
<script>
    import VerticalBarChart from "@/components/vertical-bar-chart/Main.vue";
    import CalendarMonth from "@/components/calendar/MonthHome.vue";
    import {
        Carousel,
        Slide,
        Pagination,
        Navigation
    } from 'vue3-carousel';

    export default {
        name: 'dashboard-before-login',
        components: {
            VerticalBarChart,
            CalendarMonth,
            Carousel,
            Slide,
            Pagination,
            Navigation
        },
        data() {
            return {
                total: 0,
                success: 0,
                reschedule: 0,
                failed: 0,
                todayEvents: [],
                informations: [],
                title: "Hai, KMI.",
                description: "Calendar of event system",
                settings: {
                    itemsToShow: 1,
                    snapAlign: 'center',
                },
            }
        },
        methods: {
            async getEvent() {
                const res = await this.$axios.get("/dashboard/event")
                this.todayEvents = res.data.data
            },
            async getInformation() {
                const res = await this.$axios.get("/dashboard/info")
                if (res.data.data) {
                    this.informations = res.data.data
                    // this.title = res.data.data.length > 0 ? res.data.data[0].title : "Hai, KMI."
                    // this.description = res.data.data.length > 0 ? res.data.data[0].description :
                    //     "Calendar of event system"
                }

            },
            async getGroup() {
                const res = await this.$axios.get("dashboard/group-event")
                this.success = res.data.data[0].count
                this.reschedule = res.data.data[1].count
                this.failed = res.data.data[2].count
                this.total = res.data.data[3].count

            }
        },
        mounted() {
            localStorage.removeItem('user');
            this.$store.commit("setLogout");
            this.getEvent()
            this.getInformation()
            this.getGroup()
        }
    };
</script>